Package org.eclipse.cdt.core.dom.ast

# Interface ISemanticProblem

All Known Subinterfaces:
  `IProblemBinding`, `IProblemType`

public interface ISemanticProblem
Base interface for all semantic problems: `IProblemBinding`, `IProblemType`

Since:
  5.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BINDING_AMBIGUOUS_LOOKUP`
`static final int`
`BINDING_BAD_SCOPE`
`static final int`
`BINDING_CIRCULAR_INHERITANCE`
`static final int`
`BINDING_DEFINITION_NOT_FOUND`
`static final int`
`BINDING_INVALID_OVERLOAD`
`static final int`
`BINDING_INVALID_REDECLARATION`
`static final int`
`BINDING_INVALID_REDEFINITION`
`static final int`
`BINDING_INVALID_STRUCTURED_BINDING_INITIALIZER`
`static final int`
`BINDING_INVALID_TEMPLATE_ARGUMENTS`
`static final int`
`BINDING_INVALID_TEMPLATE_INSTANTIATION`
`static final int`
`BINDING_INVALID_TYPE`
`static final int`
`BINDING_INVALID_USING`
`static final int`
`BINDING_KNR_PARAMETER_DECLARATION_NOT_FOUND`
`static final int`
`BINDING_LABEL_STATEMENT_NOT_FOUND`
`static final int`
`BINDING_MEMBER_DECLARATION_NOT_FOUND`
`static final int`
`BINDING_NO_CLASS`
`static final int`
`BINDING_NOT_FOUND`
`static final int`
`BINDING_RECURSION_IN_LOOKUP`
`static final int`
`TYPE_ASSIGNMENT_TO_NON_MODIFIABLE_LVALUE`
`static final int`
`TYPE_ASSIGNMENT_TO_RVALUE`
`static final int`
`TYPE_AUTO_FOR_NON_STATIC_FIELD`
`static final int`
`TYPE_AUTO_FOR_VIRTUAL_METHOD`
`static final int`
`TYPE_CANNOT_DEDUCE_AUTO_TYPE`
`static final int`
`TYPE_CANNOT_DEDUCE_DECLTYPE_AUTO_TYPE`
`static final int`
`TYPE_CANNOT_DEDUCE_STRUCTURED_BINDING_TYPE`
`static final int`
`TYPE_ENUMERATION_EXPECTED`
`static final int`
`TYPE_NO_CONVERSION_FOR_EXPRESSION`
`static final int`
`TYPE_NO_NAME`
`static final int`
`TYPE_NOT_PERSISTED`
`static final int`
`TYPE_STATIC_ASSERT_FAILED`
`static final int`
`TYPE_UNKNOWN_FOR_EXPRESSION`
`static final int`
`TYPE_UNRESOLVED_NAME`

## Method Summary

Modifier and Type
Method
Description
`int`
`getID()`
Returns the ID of the problem.
`String`
`getMessage()`
A human-readable message that describes the problem.

## Field Details

### BINDING_NOT_FOUND

static final int BINDING_NOT_FOUND

See Also:
  - Constant Field Values

### BINDING_INVALID_OVERLOAD

static final int BINDING_INVALID_OVERLOAD

See Also:
  - Constant Field Values

### BINDING_INVALID_USING

static final int BINDING_INVALID_USING

See Also:
  - Constant Field Values

### BINDING_AMBIGUOUS_LOOKUP

static final int BINDING_AMBIGUOUS_LOOKUP

See Also:
  - Constant Field Values

### BINDING_INVALID_TYPE

static final int BINDING_INVALID_TYPE

See Also:
  - Constant Field Values

### BINDING_CIRCULAR_INHERITANCE

static final int BINDING_CIRCULAR_INHERITANCE

See Also:
  - Constant Field Values

### BINDING_DEFINITION_NOT_FOUND

static final int BINDING_DEFINITION_NOT_FOUND

See Also:
  - Constant Field Values

### BINDING_KNR_PARAMETER_DECLARATION_NOT_FOUND

static final int BINDING_KNR_PARAMETER_DECLARATION_NOT_FOUND

See Also:
  - Constant Field Values

### BINDING_LABEL_STATEMENT_NOT_FOUND

static final int BINDING_LABEL_STATEMENT_NOT_FOUND

See Also:
  - Constant Field Values

### BINDING_BAD_SCOPE

static final int BINDING_BAD_SCOPE

See Also:
  - Constant Field Values

### BINDING_INVALID_REDEFINITION

static final int BINDING_INVALID_REDEFINITION

See Also:
  - Constant Field Values

### BINDING_INVALID_REDECLARATION

static final int BINDING_INVALID_REDECLARATION

See Also:
  - Constant Field Values

### BINDING_MEMBER_DECLARATION_NOT_FOUND

static final int BINDING_MEMBER_DECLARATION_NOT_FOUND

See Also:
  - Constant Field Values

### BINDING_RECURSION_IN_LOOKUP

static final int BINDING_RECURSION_IN_LOOKUP

See Also:
  - Constant Field Values

### BINDING_INVALID_TEMPLATE_ARGUMENTS

static final int BINDING_INVALID_TEMPLATE_ARGUMENTS

See Also:
  - Constant Field Values

### BINDING_NO_CLASS

static final int BINDING_NO_CLASS

See Also:
  - Constant Field Values

### BINDING_INVALID_STRUCTURED_BINDING_INITIALIZER

static final int BINDING_INVALID_STRUCTURED_BINDING_INITIALIZER

Since:
  8.1
See Also:
  - Constant Field Values

### BINDING_INVALID_TEMPLATE_INSTANTIATION

static final int BINDING_INVALID_TEMPLATE_INSTANTIATION

Since:
  8.4
See Also:
  - Constant Field Values

### TYPE_NO_NAME

static final int TYPE_NO_NAME

See Also:
  - Constant Field Values

### TYPE_UNRESOLVED_NAME

static final int TYPE_UNRESOLVED_NAME

See Also:
  - Constant Field Values

### TYPE_AUTO_FOR_NON_STATIC_FIELD

static final int TYPE_AUTO_FOR_NON_STATIC_FIELD

See Also:
  - Constant Field Values

### TYPE_CANNOT_DEDUCE_AUTO_TYPE

static final int TYPE_CANNOT_DEDUCE_AUTO_TYPE

See Also:
  - Constant Field Values

### TYPE_UNKNOWN_FOR_EXPRESSION

static final int TYPE_UNKNOWN_FOR_EXPRESSION

See Also:
  - Constant Field Values

### TYPE_NOT_PERSISTED

static final int TYPE_NOT_PERSISTED

See Also:
  - Constant Field Values

### TYPE_ENUMERATION_EXPECTED

static final int TYPE_ENUMERATION_EXPECTED

Since:
  5.6
See Also:
  - Constant Field Values

### TYPE_CANNOT_DEDUCE_DECLTYPE_AUTO_TYPE

static final int TYPE_CANNOT_DEDUCE_DECLTYPE_AUTO_TYPE

Since:
  6.1
See Also:
  - Constant Field Values

### TYPE_AUTO_FOR_VIRTUAL_METHOD

static final int TYPE_AUTO_FOR_VIRTUAL_METHOD

Since:
  6.3
See Also:
  - Constant Field Values

### TYPE_CANNOT_DEDUCE_STRUCTURED_BINDING_TYPE

static final int TYPE_CANNOT_DEDUCE_STRUCTURED_BINDING_TYPE

Since:
  6.9
See Also:
  - Constant Field Values

### TYPE_STATIC_ASSERT_FAILED

static final int TYPE_STATIC_ASSERT_FAILED

Since:
  9.3
See Also:
  - Constant Field Values

### TYPE_ASSIGNMENT_TO_RVALUE

static final int TYPE_ASSIGNMENT_TO_RVALUE

Since:
  9.3
See Also:
  - Constant Field Values

### TYPE_ASSIGNMENT_TO_NON_MODIFIABLE_LVALUE

static final int TYPE_ASSIGNMENT_TO_NON_MODIFIABLE_LVALUE

Since:
  9.3
See Also:
  - Constant Field Values

### TYPE_NO_CONVERSION_FOR_EXPRESSION

static final int TYPE_NO_CONVERSION_FOR_EXPRESSION

Since:
  9.3
See Also:
  - Constant Field Values

## Method Details

### getID

int getID()
Returns the ID of the problem.

### getMessage

String getMessage()
A human-readable message that describes the problem.